- project:
    queue: cloudkitty
    templates:
      - tempest-plugin-jobs
      - check-requirements
    check:
      jobs: &cloudkitty_tempest_jobs
        - cloudkitty-tempest-full-v2-storage-influxdb:
            voting: true
        - cloudkitty-tempest-full-v1-storage-sqlalchemy:
            voting: true
        - cloudkitty-tempest-full-v2-storage-elasticsearch:
            voting: true
        - cloudkitty-tempest-full-v2-storage-influxdb-2024-1
        - cloudkitty-tempest-full-v2-storage-influxdb-2023-2
        - cloudkitty-tempest-full-v2-storage-influxdb-2023-1
    gate:
      jobs: *cloudkitty_tempest_jobs

- job:
    name: cloudkitty-tempest-full-v2-storage-influxdb-2024-1
    parent: cloudkitty-tempest-full-v2-storage-influxdb
    nodeset: openstack-single-node-jammy
    override-checkout: stable/2024.1

- job:
    name: cloudkitty-tempest-full-v2-storage-influxdb-2023-2
    parent: cloudkitty-tempest-full-v2-storage-influxdb
    nodeset: openstack-single-node-jammy
    override-checkout: stable/2023.2

- job:
    name: cloudkitty-tempest-full-v2-storage-influxdb-2023-1
    parent: cloudkitty-tempest-full-v2-storage-influxdb
    nodeset: openstack-single-node-jammy
    override-checkout: stable/2023.1
